MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029986Open CASCADE[OCCT] OCCT:Configurationpublic2018-07-25 08:482018-09-22 18:39
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029986: Configuration - environment scripts generated by CMake on Linux do not allow starting DRAW from build folder
DescriptionEnvironment scripts generated by CMake on Linux do not allow starting DRAW from build folder without install. There are two problems:

1. Script env.sh looks for custom.sh in ${CASROOT}/bin/ while it is actually located in the same build folder as env.sh, i.e. ${aScriptPath}

2. Configuration-dependent script custom_*.sh (e.g. custom_gcc_64.sh) generated on the first run of CMake sets CSF_OCCTBinPath and CSF_OCCTLibPath to empty string. Second and further runs of CMake update this script to correct values.
Steps To Reproduce1. Build OCCT with CMake on Linux (e.g. Ubuntu) in a fresh folder, without install and with single run of generation of makefiles.
2. Try to launch DRAW by executing draw.sh
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0078827)
git (administrator)
2018-08-29 12:42

Branch CR29986 has been created by apn.

SHA-1: 99e68daa8144693d7ca10a88e193cc88da7ad6f1


Detailed log of new commits:

Author: apn
Date: Wed Aug 29 12:40:35 2018 +0300

    0029986: Configuration - environment scripts generated by CMake on Linux do not allow starting DRAW from build folder
    
    # Correct definition of FFMPEG_DIR in custom.build.bat.in file.
(0078828)
git (administrator)
2018-08-29 13:32

Branch CR29986 has been updated forcibly by apn.

SHA-1: 8e6458a1b75295f94b243724e4cea37ae2887686
(0078833)
git (administrator)
2018-08-29 15:38

Branch CR29986 has been updated forcibly by apn.

SHA-1: 9126b94579920ea688919666873d00f446486ae3
(0078843)
git (administrator)
2018-08-29 18:08

Branch CR29986 has been updated forcibly by apn.

SHA-1: 1a48fa28aeaf3d61ce35c7ce3ba4232fc1488878
(0078844)
git (administrator)
2018-08-29 18:31

Branch CR29986 has been updated forcibly by apn.

SHA-1: b57c1f227792ed295204d3b4ad70104a6cc1da01
(0078845)
git (administrator)
2018-08-29 19:31

Branch CR29986 has been updated forcibly by apn.

SHA-1: 52b83020023dc809564ed5318131bed921f2ff76
(0078864)
apn (administrator)
2018-08-30 15:26

Dear ski, could you please review OCCT and PRODUCTS branches CR29986.

Changes:
- Add variables 3RDPARTY_FFMPEG_DLL_DIR and 3RDPARTY_FFMPEG_LIBRARY_DIR for definition FFMPEG_DIR in custom.build.bat.in and custom.build.sh.in;
- Use `DEFINED CMAKE_BUILD_TYPE` instead of `CMAKE_BUILD_TYPE` in main CMakeLists.txt for successfully definition of single generator (as a result variables CSF_OCCTBinPath and CSF_OCCTLibPath in custom_*.sh are set after single run of generation of makefiles);
- Create env.build.sh.in (defines CASROOT as a ScriptPath) and env.install.sh.in (defines CASROOT as an INSTALL_DIR) on Linux. It allows running draw from both folders (build and install).
The same changes were done for products (PRODROOT).
(0079117)
ski (developer)
2018-09-11 13:11

please proceed
(0079328)
git (administrator)
2018-09-22 18:33

Branch CR29986 has been deleted by inv.

SHA-1: 52b83020023dc809564ed5318131bed921f2ff76

- Related Changesets
occt: master 798a95ed
Timestamp: 2018-08-29 09:40:35
Author: apn
Committer: bugmaster
Details ] Diff ]
0029986: Configuration - environment scripts generated by CMake on Linux do not allow starting DRAW from build folder

Correct launching custom.sh in env.sh.in.
Correct definition of FFMPEG_DIR in custom.build.bat/sh.in and generation of custom_*.sh (variables CSF_OCCTBinPath and CSF_OCCTLibPath are not empty on the first run)
mod - adm/cmake/ffmpeg.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-25 08:48 abv New Issue
2018-07-25 08:48 abv Assigned To => bugmaster
2018-08-28 12:40 bugmaster Assigned To bugmaster => apn
2018-08-29 12:42 git Note Added: 0078827
2018-08-29 13:32 git Note Added: 0078828
2018-08-29 15:38 git Note Added: 0078833
2018-08-29 18:08 git Note Added: 0078843
2018-08-29 18:31 git Note Added: 0078844
2018-08-29 19:31 git Note Added: 0078845
2018-08-30 15:26 apn Test case number => Not needed
2018-08-30 15:26 apn Note Added: 0078864
2018-08-30 15:26 apn Assigned To apn => ski
2018-08-30 15:26 apn Status new => resolved
2018-09-11 13:10 ski Assigned To ski => bugmaster
2018-09-11 13:11 ski Note Added: 0079117
2018-09-11 13:11 ski Status resolved => reviewed
2018-09-11 20:01 bugmaster Status reviewed => tested
2018-09-15 17:11 bugmaster Changeset attached => occt master 798a95ed
2018-09-15 17:11 bugmaster Status tested => verified
2018-09-15 17:11 bugmaster Resolution open => fixed
2018-09-22 18:33 git Note Added: 0079328


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker